Get Calls
curl --request GET \
--url https://api.example.com/v2/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"approver": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"email": "<string>",
"name": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"profile_picture": "<string>",
"object": "<string>"
},
"classifications": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"object": "<string>"
}
],
"disconnection_reason": "<string>",
"from_number": "<string>",
"in_voicemail": true,
"invoices": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"number": "<string>",
"amount_due": "<string>",
"amount_paid": "<string>",
"amount_remaining": "<string>",
"pending_amount_remaining": "<string>",
"total_amount": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"purchase_order_number": "<string>",
"order_number": "<string>",
"partner": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"account_number": "<string>",
"assignee_id": "<string>",
"business_unit_id": "<string>",
"email": "<string>",
"name": "<string>",
"legal_name": "<string>",
"phone": "<string>",
"parent_id": "<string>",
"remote_id": "<string>",
"object": "<string>"
},
"object": "<string>"
}
],
"call_reason": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"partner": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"account_number": "<string>",
"assignee_id": "<string>",
"business_unit_id": "<string>",
"email": "<string>",
"name": "<string>",
"legal_name": "<string>",
"phone": "<string>",
"parent_id": "<string>",
"remote_id": "<string>",
"object": "<string>"
},
"provider": "<string>",
"tasks": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"description": "<string>",
"assignee_id": "<string>",
"object": "<string>"
}
],
"to_number": "<string>",
"workflow": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"is_active": true,
"object": "<string>"
},
"workflow_run": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"object": "<string>"
},
"object": "<string>",
"display_tasks": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"description": "<string>",
"assignee_id": "<string>",
"object": "<string>"
}
]
}
],
"current_page": 0,
"total_records": 1,
"next_page": 123
}{
"type": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}calls
Get Calls
List Calls
Retrieve a paginated list of calls with optional filters.
GET
/
v2
/
calls
Get Calls
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, 0 indexed.
Required range:
x >= 0Number of records per page.
Required range:
1 <= x <= 500Filter by business unit IDs.
Filter by one or more sentiment values.
Available options:
positive, negative, neutral, unknown Filter by one or more call classification values.
Enumerates the possible classifications for an interaction (email or call).
Available options:
payment_inquiry, payment_promise, account_inquiry, invoice_inquiry, refund_request, cancellation_request, support_request, complaint, feedback, wrong_contact, message_forwarding_request, cc_inclusion_request, not_available, contact_inquiry, dispute, resolution, delivery_failure, payment_processing_request, other Filter by call direction.
Available options:
inbound, outbound Filter by partner ID.
Filter by invoice ID.
Filter by workflow ID.
Return calls that started or were created before this time.
Return calls that started or were created after this time.
Response
Successful Response
⌘I
